wrapper <- function(table, columns, options) {

    # initialize output list
    l <- list()

    # loop through all columns
    for (key in names(columns)) {
        # load column data
        column <- as.numeric(columns[key])
        column_data <- sapply( table[column], as.numeric )

        # create hist data
        hist_data <- hist(column_data, plot=FALSE)#, breaks=seq(by=options$bin_size))

        # collect vectors in list
        l <- append(l, list(hist_data$breaks[2: length(hist_data$breaks)]))
        l <- append(l, list(hist_data$density))
    }

    # return
    return (l)
}
